### DbEnv::set_mp_max_openfd

`

###

    #include <db_cxx.h>

    int
    DbEnv::set_mp_max_openfd(int maxopenfd);

    int
    DbEnv::get_mp_max_openfd(int *maxopenfdp);

### Description: DbEnv::set_mp_max_openfd

The DbEnv::set_mp_max_openfd method limits the number of file descriptors the library will open concurrently when flushing dirty pages from the cache.

The DbEnv::set_mp_max_openfd method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

maxopenfd
  The maximum number of file descriptors that may be concurrently opened by the library when flushing dirty pages from the cache.

### Errors

The DbEnv::set_mp_max_openfd method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DbEnv::get_mp_max_openfd

The DbEnv::get_mp_max_openfd method returns the maximum number of file descriptors open.

The DbEnv::get_mp_max_openfd method may be called at any time during the life of the application.

The DbEnv::get_mp_max_openfd method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

maxopenfdp
  The DbEnv::get_mp_max_openfd method returns the maximum number of file descriptors open in maxopenfdp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.